#!/usr/bin/perl

# koilist.pl, version 1, 2012-03-04
#   by Andrew Tribick
#
# Extracts the unique KIC numbers from the planet candidates list.
# This can be used to query the KIC using the file upload form at
# http://archive.stsci.edu/kepler/kepler_fov/search.php?form=fuf
# Columns required in output csv file are:
#   Kepler ID (KIC)
#   2MASS ID
#   Right ascension (degrees)
#   Declination (degrees)
#   g Magnitude
#   g-r Colour


use strict;

open CANDIDATES, '<', 'appendixTable_2012Feb26.txt' or die "Cannot open appendixTable_2012Feb26.txt.\n";

# skip header
for(my $i = 0; $i < 57; ++$i)
{
  my $dummy = <CANDIDATES>;
}

my %kics = ();

while(my $record = <CANDIDATES>)
{
  chomp $record;
  my $kic = substr($record,8,9);
  $kic =~ s/\s//g;
  if(!exists($kics{$kic}))
  {
    print "$kic\n";
    $kics{$kic} = 1;
  }
}

close CANDIDATES;