require "locale";

----------------------------------------------
-- Set initial values
----------------------------------------------
cRocheLimit = ctext;
RocheLimit_first_tick = true;

RocheSol = celestia:find("Sol/Roche_Sol")
RocheMercury = celestia:find("Sol/Roche_Mercury")
RocheVenus = celestia:find("Sol/Roche_Venus")
RocheEarth = celestia:find("Sol/Roche_Earth")
RocheMoon = celestia:find("Sol/Earth/Roche_Moon")
RocheMars = celestia:find("Sol/Roche_Mars")
RocheJupiter = celestia:find("Sol/Roche_Jupiter")
RocheSaturn = celestia:find("Sol/Roche_Saturn")
RocheUranus = celestia:find("Sol/Roche_Uranus")
RocheNeptune = celestia:find("Sol/Roche_Neptune")
RochePluto = celestia:find("Sol/Roche_Pluto")

RocheSol:setvisible(false)
RocheMercury:setvisible(false)
RocheVenus:setvisible(false)
RocheEarth:setvisible(false)
RocheMoon:setvisible(false)
RocheMars:setvisible(false)
RocheJupiter:setvisible(false)
RocheSaturn:setvisible(false)
RocheUranus:setvisible(false)
RocheNeptune:setvisible(false)
RochePluto:setvisible(false)

----------------------------------------------
-- Set up and Draw the boxes
---------------------------------------------

RocheLimitBox = CXBox:new()
	:init(0, 0, 0, 0)
	--:bordercolor({1, 1, 0, 1})
	--:fillcolor({1,1,0,.2})
	:movable(false)
	:attach(screenBox, width, height, 0, 0);

RocheLimitBox.Customdraw = 
	function(this)
		textlayout:setfont(normalfont);
		textlayout:setfontcolor(cRocheLimit);
		textlayout:setpos(this.lb+25, this.tb-14);
		textlayout:println(_("Roche Limit"));
	end;

RocheLimitCheck = CXBox:new()
		:init(0, 0, 0, 0)
		:bordercolor(cbubordoff)
		--:fillcolor({1,1,0,.2})
		:textfont(normalfont)
		:textcolor(cbutextoff)
		:textpos("center")
		:movetext(0, 9)
		:text("")
		:movable(false)
		:active(true)
		:attach(RocheLimitBox, 100, 4, 35, 5)

RocheLimitCheck.Customdraw =
	function(this)
		-- Set the initial state of the check-box from 'config.lua'.
		if RocheLimit_first_tick and enable_RocheLimit then
			RocheLimitCheck.Action();
		end
		RocheLimit_first_tick = false;
	end

RocheLimitCheck.Action = (function()
		return
			function()
				RocheLimitVisible = not(RocheLimitVisible);
				if RocheLimitVisible then
					RocheSol:setvisible(true);
					RocheMercury:setvisible(true);
					RocheVenus:setvisible(true);
					RocheEarth:setvisible(true);
					RocheMoon:setvisible(true);
					RocheMars:setvisible(true);
					RocheJupiter:setvisible(true);
					RocheSaturn:setvisible(true);
					RocheUranus:setvisible(true);
					RocheNeptune:setvisible(true);
					RochePluto:setvisible(true);
				
					RocheLimitCheck.Text = "x";
				else
					RocheSol:setvisible(false);
					RocheMercury:setvisible(false);
					RocheVenus:setvisible(false);
					RocheEarth:setvisible(false);
					RocheMoon:setvisible(false);
					RocheMars:setvisible(false);
					RocheJupiter:setvisible(false);
					RocheSaturn:setvisible(false);
					RocheUranus:setvisible(false);
					RocheNeptune:setvisible(false);
					RochePluto:setvisible(false);

					RocheLimitCheck.Text = "";
				end
			end
		end) ();
